Debian Bug report logs - #620065
libimobiledevice2: file conflict with libimobiledevice1

version graph

Package: libimobiledevice2; Maintainer for libimobiledevice2 is gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>; Source for libimobiledevice2 is src:libimobiledevice.

Reported by: Jeremy Lal <kapouer@melix.org>

Date: Tue, 29 Mar 2011 16:54:02 UTC

Severity: serious

Found in version libimobiledevice/1.1.0-2

Fixed in version libimobiledevice/1.1.1-1

Done: Julien Lavergne <julien.lavergne@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Julien Lavergne <julien.lavergne@gmail.com>:
Bug#620065; Package libimobiledevice2. (Tue, 29 Mar 2011 16:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeremy Lal <kapouer@melix.org>:
New Bug report received and forwarded. Copy sent to Julien Lavergne <julien.lavergne@gmail.com>. (Tue, 29 Mar 2011 16:54:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeremy Lal <kapouer@melix.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libimobiledevice2: file conflict with libimobiledevice1
Date: Tue, 29 Mar 2011 18:32:22 +0200
Package: libimobiledevice2
Version: 1.1.0-2
Severity: important

Preparing to replace libimobiledevice2 1.1.0-1 (using .../libimobiledevice2_1.1.0-2_i386.deb) ...
Unpacking replacement libimobiledevice2 ...
dpkg: error processing /var/cache/apt/archives/libimobiledevice2_1.1.0-2_i386.deb (--unpack):
 trying to overwrite '/usr/share/hal/fdi/information/20thirdparty/31-apple-mobile-device.fdi', which is also in package libimobiledevice1 1.0.6-1


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (101, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.38-1-686 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libimobiledevice2 depends on:
ii  libc6                         2.11.2-11  Embedded GNU C Library: Shared lib
ii  libgcrypt11                   1.4.6-5    LGPL Crypto library - runtime libr
ii  libglib2.0-0                  2.28.4-1   The GLib library of C routines
ii  libgnutls26                   2.12.0-1   the GNU TLS library - runtime libr
ii  libplist1                     1.4-1      Library for handling Apple binary 
ii  libtasn1-3                    2.9-2      Manage ASN.1 structures (runtime)
ii  libusbmuxd1                   1.0.7-1    USB multiplexor daemon for iPhone 
ii  usbmuxd                       1.0.7-1    USB multiplexor daemon for iPhone 

libimobiledevice2 recommends no packages.

libimobiledevice2 suggests no packages.

-- no debconf information




Severity set to 'serious' from 'important' Request was from Emilio Pozuelo Monfort <pochu@debian.org> to control@bugs.debian.org. (Wed, 06 Apr 2011 11:48:00 GMT) Full text and rfc822 format available.

Reply sent to Julien Lavergne <julien.lavergne@gmail.com>:
You have taken responsibility. (Tue, 12 Apr 2011 16:21:05 GMT) Full text and rfc822 format available.

Notification sent to Jeremy Lal <kapouer@melix.org>:
Bug acknowledged by developer. (Tue, 12 Apr 2011 16:21:05 GMT) Full text and rfc822 format available.

Message #12 received at 620065-close@bugs.debian.org (full text, mbox):

From: Julien Lavergne <julien.lavergne@gmail.com>
To: 620065-close@bugs.debian.org
Subject: Bug#620065: fixed in libimobiledevice 1.1.0-3
Date: Tue, 12 Apr 2011 16:17:53 +0000
Source: libimobiledevice
Source-Version: 1.1.0-3

We believe that the bug you reported is fixed in the latest version of
libimobiledevice, which is due to be installed in the Debian FTP archive:

libimobiledevice-dev_1.1.0-3_amd64.deb
  to main/libi/libimobiledevice/libimobiledevice-dev_1.1.0-3_amd64.deb
libimobiledevice-doc_1.1.0-3_all.deb
  to main/libi/libimobiledevice/libimobiledevice-doc_1.1.0-3_all.deb
libimobiledevice-utils_1.1.0-3_amd64.deb
  to main/libi/libimobiledevice/libimobiledevice-utils_1.1.0-3_amd64.deb
libimobiledevice2-dbg_1.1.0-3_amd64.deb
  to main/libi/libimobiledevice/libimobiledevice2-dbg_1.1.0-3_amd64.deb
libimobiledevice2_1.1.0-3_amd64.deb
  to main/libi/libimobiledevice/libimobiledevice2_1.1.0-3_amd64.deb
libimobiledevice_1.1.0-3.debian.tar.gz
  to main/libi/libimobiledevice/libimobiledevice_1.1.0-3.debian.tar.gz
libimobiledevice_1.1.0-3.dsc
  to main/libi/libimobiledevice/libimobiledevice_1.1.0-3.dsc
python-imobiledevice_1.1.0-3_amd64.deb
  to main/libi/libimobiledevice/python-imobiledevice_1.1.0-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 620065@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Lavergne <julien.lavergne@gmail.com> (supplier of updated libimobiledevice package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 10 Apr 2011 22:37:36 +0200
Source: libimobiledevice
Binary: libimobiledevice2 libimobiledevice-dev libimobiledevice2-dbg python-imobiledevice libimobiledevice-utils libimobiledevice-doc
Architecture: source amd64 all
Version: 1.1.0-3
Distribution: experimental
Urgency: low
Maintainer: gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>
Changed-By: Julien Lavergne <julien.lavergne@gmail.com>
Description: 
 libimobiledevice-dev - Library for communicating with iPhone and iPod Touch devices
 libimobiledevice-doc - Library for communicating with iPhone and iPod Touch devices
 libimobiledevice-utils - Library for communicating with iPhone and iPod Touch devices
 libimobiledevice2 - Library for communicating with the iPhone and iPod Touch
 libimobiledevice2-dbg - Library for communicating with iPhone and iPod Touch devices
 python-imobiledevice - Library for communicating with iPhone and iPod Touch devices
Closes: 620065
Changes: 
 libimobiledevice (1.1.0-3) experimental; urgency=low
 .
   * debian/control:
    - Add Conlicts / Replaces on libimobiledevice1 and libimobiledevice0, since
      they provide the same fdi file. LP: #753015, Closes: #620065
    - Update Maintainer field, and add me to Uploaders.
    - Update Vcs-*.
    - Remove duplicate section.
   * debian/gbp.conf:
    - Add specific gdb.conf.
Checksums-Sha1: 
 9736327abb6e8242f6a9c5a7a90e1a9fa14d2756 1782 libimobiledevice_1.1.0-3.dsc
 70f799eaf814768438d9ce39cdf0773252d02ad6 9022 libimobiledevice_1.1.0-3.debian.tar.gz
 0dfb091e8fb3702a1352d34ff10291eedf9be968 56226 libimobiledevice2_1.1.0-3_amd64.deb
 6dc31c56dc4d9ea0697c574a068ce28084095df6 68772 libimobiledevice-dev_1.1.0-3_amd64.deb
 898dd5d1f940d6f4414a0c136ab735a86b76b7d9 362908 libimobiledevice2-dbg_1.1.0-3_amd64.deb
 ab1e37e7d49a216ba16d8c5fd31bb03e9691ca89 87272 python-imobiledevice_1.1.0-3_amd64.deb
 f1fcb455e7ae4fb6d8345962856e1fc28c035895 43312 libimobiledevice-utils_1.1.0-3_amd64.deb
 f3c1bb73d97c3be90c04f2bfb0f40fcacefbaccc 84812 libimobiledevice-doc_1.1.0-3_all.deb
Checksums-Sha256: 
 1a0dde78a985a2424e26ad2ed329e6ac164da1bb19493c17909827f383ac182e 1782 libimobiledevice_1.1.0-3.dsc
 0732cdb11e448675747e8d153b8083e44edecad10e0ecabca5e43c1f430903aa 9022 libimobiledevice_1.1.0-3.debian.tar.gz
 54723de5c7b89a475f9956e621b8514a9a646e9d05f6298efd812b46bac58bdc 56226 libimobiledevice2_1.1.0-3_amd64.deb
 6260c8903c7d707ed244cec3837913000b3b291acaf097136e3f0b21d980e662 68772 libimobiledevice-dev_1.1.0-3_amd64.deb
 2819174639779a133d9ab7658f58a750d8ab9b881e6e4b107057c9e6a8eebf24 362908 libimobiledevice2-dbg_1.1.0-3_amd64.deb
 109cfd61d1855ccea8fe2acd84aa775caa8b0a91b582cc555e890ea74bb27cf6 87272 python-imobiledevice_1.1.0-3_amd64.deb
 513436cf0f3a70139c17315d0aa7df2961f25781a4b458bffecf03fa29f701e2 43312 libimobiledevice-utils_1.1.0-3_amd64.deb
 1c79770736bd0458e0c8ea32e16cb2183ba36a951cba498eacaa7618bf5f4fef 84812 libimobiledevice-doc_1.1.0-3_all.deb
Files: 
 139ed2ae7c65ddcc0e4cd6ebc7234f6e 1782 libs optional libimobiledevice_1.1.0-3.dsc
 803e635ff0bb842d1e3baf9f80d642ce 9022 libs optional libimobiledevice_1.1.0-3.debian.tar.gz
 ca3f3e67ceb8a6223f7bb34fce8d4d30 56226 libs optional libimobiledevice2_1.1.0-3_amd64.deb
 2e713e31cbdeaec826ec50267deff80f 68772 libdevel optional libimobiledevice-dev_1.1.0-3_amd64.deb
 9ab1f573766233d5feefd79ce9e1717f 362908 debug extra libimobiledevice2-dbg_1.1.0-3_amd64.deb
 f1c10385955bc06ec548508f05f19b19 87272 python optional python-imobiledevice_1.1.0-3_amd64.deb
 db100c9c08fa17094cca697106b6204e 43312 utils optional libimobiledevice-utils_1.1.0-3_amd64.deb
 cbf8113e2854dc230c299a472fff99cb 84812 doc optional libimobiledevice-doc_1.1.0-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFNpHerzWFP1/XWUWkRAtr4AJ4pA2bstOIlolmNErqNF8c3HmdbgQCgubMO
c3IFBgm/mTlUjvNbvof4JB0=
=Hf+P
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>:
Bug#620065; Package libimobiledevice2. (Tue, 12 Apr 2011 23:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to kapouer@melix.org:
Extra info received and forwarded to list. Copy sent to gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>. (Tue, 12 Apr 2011 23:21:07 GMT) Full text and rfc822 format available.

Message #17 received at 620065@bugs.debian.org (full text, mbox):

From: Jérémy Lal <kapouer@melix.org>
To: 620065@bugs.debian.org
Subject: Re: Bug#620065 closed by Julien Lavergne <julien.lavergne@gmail.com> (Bug#620065: fixed in libimobiledevice 1.1.0-3)
Date: Wed, 13 Apr 2011 01:09:41 +0200
On 12/04/2011 18:21, Debian Bug Tracking System wrote:
> This is an automatic notification regarding your Bug report
> which was filed against the libimobiledevice2 package:
> 
> #620065: libimobiledevice2: file conflict with libimobiledevice1
> 
> It has been closed by Julien Lavergne <julien.lavergne@gmail.com>.

Unless your plan is to force packages depending on libimobiledevice1
to migrate to libimobiledevice2, conflicting with libimobiledevice1
is not the solution !
Removing libimobiledevice1 makes apt remove those packages.
Maybe you need a *-common package to put your fdi files to, or
if there are too few files concerned, simply rename them to avoid conflicts.

Regards,
Jérémy.





Information forwarded to debian-bugs-dist@lists.debian.org, gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>:
Bug#620065; Package libimobiledevice2. (Mon, 18 Apr 2011 14:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>. (Mon, 18 Apr 2011 14:09:03 GMT) Full text and rfc822 format available.

Message #22 received at 620065@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Julien Lavergne <julien.lavergne@gmail.com>
Cc: 620065@bugs.debian.org
Subject: Re: Bug#620065: fixed in libimobiledevice 1.1.0-3
Date: Mon, 18 Apr 2011 16:06:58 +0200
reopen 620065
thanks

On Tue, 12 Apr 2011, Julien Lavergne wrote:
>  libimobiledevice (1.1.0-3) experimental; urgency=low
>  .
>    * debian/control:
>     - Add Conlicts / Replaces on libimobiledevice1 and libimobiledevice0, since
>       they provide the same fdi file. LP: #753015, Closes: #620065

This is not the proper solution. Because of this libimobiledevice1 and
libimobiledevice2 are not co-installable and they need to be coinstallable
to ensure a proper transition from one to the other.

If the FDI file can be shared between both versions of the library (which
I guess), then you should put it in a -common package and have that
package "Replaces" the old version of libimobiledevice1 /
libimobiledevice2 that provide this file. Of course you should add a
dependency on the -common package.

If the FDI file can't be shared, they you must discuss with upstream
to find a good solution.

Right now anything that depends on libimobiledevice2 in uninstallable
until all packages depending on libimobiledevice1 have been updated.
This is a painful transition and it affects GNOME3.

I can review and sponsor you for this specific fix if you want.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)




Bug No longer marked as fixed in versions libimobiledevice/1.1.0-3 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Apr 2011 14:09:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>:
Bug#620065; Package libimobiledevice2. (Mon, 18 Apr 2011 15:57:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien BLACHE <jblache@debian.org>:
Extra info received and forwarded to list. Copy sent to gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>. (Mon, 18 Apr 2011 15:57:14 GMT) Full text and rfc822 format available.

Message #29 received at 620065@bugs.debian.org (full text, mbox):

From: Julien BLACHE <jblache@debian.org>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 620065@bugs.debian.org
Subject: Re: Bug#620065: fixed in libimobiledevice 1.1.0-3
Date: Mon, 18 Apr 2011 17:45:18 +0200
Raphael Hertzog <hertzog@debian.org> wrote:

> If the FDI file can be shared between both versions of the library (which
> I guess), then you should put it in a -common package and have that
> package "Replaces" the old version of libimobiledevice1 /
> libimobiledevice2 that provide this file. Of course you should add a
> dependency on the -common package.

I NACKed that because the package would be ridiculously small and this
is/has been a cause of REJECT.

Moreover the transition isn't as big as you seem to imply, there aren't
a lot of packages outside the GNOME world using libimobiledevice just
yet. This is pretty self-contained and can be handled together with
GNOME.

Finally, there's also the option of dropping the FDI file entirely,
given we plan to get rid of HAL sooner rather than later. I'm not sure
about the status of non-Linux architectures wrt libimobiledevice, so the
lack of HAL support there may be a moot point.

JB.

-- 
 Julien BLACHE - Debian & GNU/Linux Developer - <jblache@debian.org> 
 
 Public key available on <http://www.jblache.org> - KeyID: F5D6 5169 
 GPG Fingerprint : 935A 79F1 C8B3 3521 FD62 7CC7 CD61 4FD7 F5D6 5169 




Information forwarded to debian-bugs-dist@lists.debian.org, gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>:
Bug#620065; Package libimobiledevice2. (Mon, 18 Apr 2011 17:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>. (Mon, 18 Apr 2011 17:21:06 GMT) Full text and rfc822 format available.

Message #34 received at 620065@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Julien BLACHE <jblache@debian.org>
Cc: 620065@bugs.debian.org
Subject: Re: Bug#620065: fixed in libimobiledevice 1.1.0-3
Date: Mon, 18 Apr 2011 19:18:27 +0200
On Mon, 18 Apr 2011, Julien BLACHE wrote:
> I NACKed that because the package would be ridiculously small and this
> is/has been a cause of REJECT.

Well with multiarch shortly ahead of us it's more and more important for
lib* packages to have only the library files and not any sort of support
file.

So there will be other similar cases and I doubt the ftpmasters will
reject them. Their concerns should not forbid us to do the right thing
in terms of library packaging.

> Moreover the transition isn't as big as you seem to imply, there aren't
> a lot of packages outside the GNOME world using libimobiledevice just
> yet. This is pretty self-contained and can be handled together with
> GNOME.

Well, we can't bin-nmu in experimental so it means fake source upload in
experimental with increased build-dep just to be able to provide updated
binaries of all packages using libimobiledevice1...

That doesn't seem good.

> Finally, there's also the option of dropping the FDI file entirely,
> given we plan to get rid of HAL sooner rather than later. I'm not sure
> about the status of non-Linux architectures wrt libimobiledevice, so the
> lack of HAL support there may be a moot point.

Several of the reverse build-dependencies of libimobiledevice-dev use it
with an architecture restriction [linux-any] but not all of them. I don't
know how important that FDI file is in the grand scheme of the library.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)




Information forwarded to debian-bugs-dist@lists.debian.org, gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>:
Bug#620065; Package libimobiledevice2. (Mon, 18 Apr 2011 17:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien BLACHE <jblache@debian.org>:
Extra info received and forwarded to list. Copy sent to gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>. (Mon, 18 Apr 2011 17:33:06 GMT) Full text and rfc822 format available.

Message #39 received at 620065@bugs.debian.org (full text, mbox):

From: Julien BLACHE <jblache@debian.org>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 620065@bugs.debian.org
Subject: Re: Bug#620065: fixed in libimobiledevice 1.1.0-3
Date: Mon, 18 Apr 2011 19:28:03 +0200
Raphael Hertzog <hertzog@debian.org> wrote:

>> I NACKed that because the package would be ridiculously small and this
>> is/has been a cause of REJECT.
>
> Well with multiarch shortly ahead of us it's more and more important for
> lib* packages to have only the library files and not any sort of support
> file.

The multiarch requirements aren't relevant here, as the file is
installed in /etc and is identical regardless of the architecture the
package is built for. So the overlap will be handled by dpkg. That is,
if the wiki page is accurate.

> So there will be other similar cases and I doubt the ftpmasters will
> reject them. Their concerns should not forbid us to do the right thing
> in terms of library packaging.

Can you get a statement from them on that? Thanks.

> Well, we can't bin-nmu in experimental so it means fake source upload in
> experimental with increased build-dep just to be able to provide updated
> binaries of all packages using libimobiledevice1...

Those uploads will be needed anyway, as I think libimobiledevice2
is/will not be API-compatible with libimobiledevice1. So, could be a
moot point.

>> Finally, there's also the option of dropping the FDI file entirely,
>> given we plan to get rid of HAL sooner rather than later. I'm not sure
>> about the status of non-Linux architectures wrt libimobiledevice, so the
>> lack of HAL support there may be a moot point.
>
> Several of the reverse build-dependencies of libimobiledevice-dev use it
> with an architecture restriction [linux-any] but not all of them. I don't
> know how important that FDI file is in the grand scheme of the library.

That's a question for Julien (the other one - why yes, we're everywhere).

JB.

-- 
 Julien BLACHE <jblache@debian.org>  |  Debian, because code matters more 
 Debian & GNU/Linux Developer        |       <http://www.debian.org>
 Public key available on <http://www.jblache.org> - KeyID: F5D6 5169 
 GPG Fingerprint : 935A 79F1 C8B3 3521 FD62 7CC7 CD61 4FD7 F5D6 5169 




Information forwarded to debian-bugs-dist@lists.debian.org, gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>:
Bug#620065; Package libimobiledevice2. (Mon, 18 Apr 2011 18:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>. (Mon, 18 Apr 2011 18:18:04 GMT) Full text and rfc822 format available.

Message #44 received at 620065@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Raphael Hertzog <hertzog@debian.org>, 620065@bugs.debian.org
Cc: Julien BLACHE <jblache@debian.org>
Subject: Re: Bug#620065: fixed in libimobiledevice 1.1.0-3
Date: Mon, 18 Apr 2011 20:14:56 +0200
On 04/18/2011 07:18 PM, Raphael Hertzog wrote:
>
> Well, we can't bin-nmu in experimental

oh. yes, we can.

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Information forwarded to debian-bugs-dist@lists.debian.org, gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>:
Bug#620065; Package libimobiledevice2. (Mon, 18 Apr 2011 19:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Lavergne <julien.lavergne@gmail.com>:
Extra info received and forwarded to list. Copy sent to gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>. (Mon, 18 Apr 2011 19:09:03 GMT) Full text and rfc822 format available.

Message #49 received at 620065@bugs.debian.org (full text, mbox):

From: Julien Lavergne <julien.lavergne@gmail.com>
To: Raphael Hertzog <hertzog@debian.org>
Cc: Julien BLACHE <jblache@debian.org>, 620065@bugs.debian.org
Subject: Re: Bug#620065: fixed in libimobiledevice 1.1.0-3
Date: Mon, 18 Apr 2011 21:06:58 +0200
Hi,

> So there will be other similar cases and I doubt the ftpmasters will
> reject them. Their concerns should not forbid us to do the right thing
> in terms of library packaging.

Another argument against this solution was the need for the package to
go twice in NEW (1 with the creation of the -common binary, 1 when it
will be dropped with HAL support), x2 because there are 2 different
versions in unstable and experimental.

>> Finally, there's also the option of dropping the FDI file entirely,
>> given we plan to get rid of HAL sooner rather than later. I'm not
sure
>> about the status of non-Linux architectures wrt libimobiledevice, so
the
>> lack of HAL support there may be a moot point.
>
> Several of the reverse build-dependencies of libimobiledevice-dev use
it
> with an architecture restriction [linux-any] but not all of them. I
don't
> know how important that FDI file is in the grand scheme of the
library.

The only reason is to add support for Amarok which still depends on HAL
(see bug #615107). If Amarok don't need it anymore, the FDI can be
dropped completely. but, I'm still ensure when / if this will be done, I
can't find the proper bug report about the removal of HAL in Amarok. My
only information are from this :
http://bugs.kde.org/show_bug.cgi?id=184744

I had the hope that this will come fast enough to not stay in this
situation too long.

Regards,
Julien Lavergne





Information forwarded to debian-bugs-dist@lists.debian.org, gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>:
Bug#620065; Package libimobiledevice2. (Mon, 18 Apr 2011 19:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>. (Mon, 18 Apr 2011 19:30:03 GMT) Full text and rfc822 format available.

Message #54 received at 620065@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Julien BLACHE <jblache@debian.org>, Mehdi Dogguy <mehdi@dogguy.org>, Julien Lavergne <julien.lavergne@gmail.com>
Cc: 620065@bugs.debian.org
Subject: Re: Bug#620065: fixed in libimobiledevice 1.1.0-3
Date: Mon, 18 Apr 2011 21:27:15 +0200
Hi,

First of all, I wanted to suggest to drop the Conflicts and just keep the
Replaces. The Replaces is enough, the only problem is that the FDI file
will be lost if libimobiledevice2 is removed while some application
still use libimobiledevice1 (the other cases are correctly handled by dpkg
whatever the order of installation of the packages).

It's really not a big problem and much less problematic than the
non-coinstallability of both libraries. And as I understand it's
temporary anyway.

On Mon, 18 Apr 2011, Julien BLACHE wrote:
> The multiarch requirements aren't relevant here, as the file is
> installed in /etc and is identical regardless of the architecture the
> package is built for. So the overlap will be handled by dpkg. That is,
> if the wiki page is accurate.

The file is in /usr/share not /etc, but you're right, dpkg will cope with
it.

> > Well, we can't bin-nmu in experimental so it means fake source upload in
> > experimental with increased build-dep just to be able to provide updated
> > binaries of all packages using libimobiledevice1...
> 
> Those uploads will be needed anyway, as I think libimobiledevice2
> is/will not be API-compatible with libimobiledevice1. So, could be a
> moot point.

Julien (Lavergne), do you know if this is the case?

If yes, can you arrange with the reverse build-dependencies to prepare the
transition in experimental?

On Mon, 18 Apr 2011, Mehdi Dogguy wrote:
> On 04/18/2011 07:18 PM, Raphael Hertzog wrote:
> >
> >Well, we can't bin-nmu in experimental
> 
> oh. yes, we can.

I know we can but the bin-nmus won't use the updated libimobiledevice-dev
from experimental unless the build-dependencies are updated to require it.
Thus a bin-nmu is not enough.

On Mon, 18 Apr 2011, Julien Lavergne wrote:
> Another argument against this solution was the need for the package to
> go twice in NEW (1 with the creation of the -common binary, 1 when it
> will be dropped with HAL support), x2 because there are 2 different
> versions in unstable and experimental.

OK, then please just keep the Replaces and drop the Conflicts. It will do
the right thing for all people except those who might downgrade apps using
libimobiledevice from versions using libimobiledevice2 to versions using
libimobiledevice1.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)




Information forwarded to debian-bugs-dist@lists.debian.org, gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>:
Bug#620065; Package libimobiledevice2. (Tue, 19 Apr 2011 10:24:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien BLACHE <jblache@debian.org>:
Extra info received and forwarded to list. Copy sent to gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>. (Tue, 19 Apr 2011 10:24:18 GMT) Full text and rfc822 format available.

Message #59 received at 620065@bugs.debian.org (full text, mbox):

From: Julien BLACHE <jblache@debian.org>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 620065@bugs.debian.org
Subject: Re: Bug#620065: fixed in libimobiledevice 1.1.0-3
Date: Tue, 19 Apr 2011 12:20:24 +0200
Raphael Hertzog <hertzog@debian.org> wrote:

Hi,

>> The multiarch requirements aren't relevant here, as the file is
>> installed in /etc and is identical regardless of the architecture the
>> package is built for. So the overlap will be handled by dpkg. That is,
>> if the wiki page is accurate.
>
> The file is in /usr/share not /etc, but you're right, dpkg will cope with
> it.

Sorry, brainfart. For some reason FDI files are in /etc in my mind, I
blame Xorg for that :)

>> Those uploads will be needed anyway, as I think libimobiledevice2
>> is/will not be API-compatible with libimobiledevice1. So, could be a
>> moot point.
>
> Julien (Lavergne), do you know if this is the case?

My recollection of the events is that the GNOME maintainers asked for
the new libimobiledevice in experimental because they needed it, but at
the same time the API/ABI isn't final yet. It's still expected to evolve
and cleanups should happen at some point too.

So it went to experimental both because it was needed there and because
it belonged there.

Julien will set the record straight if I'm wrong and can update us on
the exact upstream status.

Depending on that, even staging a transition in experimental doesn't
make sense at this point. Basically we're screwed until upstream is done
breaking things :)

JB.

-- 
 Julien BLACHE <jblache@debian.org>  |  Debian, because code matters more 
 Debian & GNU/Linux Developer        |       <http://www.debian.org>
 Public key available on <http://www.jblache.org> - KeyID: F5D6 5169 
 GPG Fingerprint : 935A 79F1 C8B3 3521 FD62 7CC7 CD61 4FD7 F5D6 5169 




Information forwarded to debian-bugs-dist@lists.debian.org, gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>:
Bug#620065; Package libimobiledevice2. (Thu, 21 Apr 2011 20:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>. (Thu, 21 Apr 2011 20:48:03 GMT) Full text and rfc822 format available.

Message #64 received at 620065@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: 620065@bugs.debian.org
Subject: Re: Bug#620065: fixed in libimobiledevice 1.1.0-3
Date: Thu, 21 Apr 2011 22:45:24 +0200
On Tue, 19 Apr 2011, Julien BLACHE wrote:
> Depending on that, even staging a transition in experimental doesn't
> make sense at this point. Basically we're screwed until upstream is done
> breaking things :)

Ok, but can we at least get rid of the Conflicts in the mean time
and use only a Replaces so that people can _use_ what's in experimental?

If experimental is not even installable, it's not very useful at all.

Thanks in advance.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)




Information forwarded to debian-bugs-dist@lists.debian.org, gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>:
Bug#620065; Package libimobiledevice2. (Thu, 21 Apr 2011 22:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Lavergne <julien.lavergne@gmail.com>:
Extra info received and forwarded to list. Copy sent to gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>. (Thu, 21 Apr 2011 22:12:03 GMT) Full text and rfc822 format available.

Message #69 received at 620065@bugs.debian.org (full text, mbox):

From: Julien Lavergne <julien.lavergne@gmail.com>
To: Raphael Hertzog <hertzog@debian.org>
Cc: Julien BLACHE <jblache@debian.org>, Mehdi Dogguy <mehdi@dogguy.org>, 620065@bugs.debian.org
Subject: Re: Bug#620065: fixed in libimobiledevice 1.1.0-3
Date: Fri, 22 Apr 2011 00:08:50 +0200
Le Monday 18 April 2011 à 21:27 +0200, Raphael Hertzog a écrit : 
> Hi,
> 
> First of all, I wanted to suggest to drop the Conflicts and just keep the
> Replaces. The Replaces is enough, the only problem is that the FDI file
> will be lost if libimobiledevice2 is removed while some application
> still use libimobiledevice1 (the other cases are correctly handled by dpkg
> whatever the order of installation of the packages).
Ok, It sounds reasonable. I'll try to update it this week-end, but feel
free to NMU it if it's an emergency.

> > Those uploads will be needed anyway, as I think libimobiledevice2
> > is/will not be API-compatible with libimobiledevice1. So, could be a
> > moot point.
> 
> Julien (Lavergne), do you know if this is the case?
For now, only new API was added, but as they declared the API not
stable, we can't be sure what is going to change. To be safe, I prefer
to assume that the API can change, that's why it should stay in
experimental until 1.2.0 is released.

Regards,
Julien Lavergne 








Information forwarded to debian-bugs-dist@lists.debian.org, gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>:
Bug#620065; Package libimobiledevice2. (Fri, 22 Apr 2011 06:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>. (Fri, 22 Apr 2011 06:09:03 GMT) Full text and rfc822 format available.

Message #74 received at 620065@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Julien Lavergne <julien.lavergne@gmail.com>
Cc: Julien BLACHE <jblache@debian.org>, 620065@bugs.debian.org
Subject: Re: Bug#620065: fixed in libimobiledevice 1.1.0-3
Date: Fri, 22 Apr 2011 08:07:12 +0200
On Fri, 22 Apr 2011, Julien Lavergne wrote:
> Le Monday 18 April 2011 à 21:27 +0200, Raphael Hertzog a écrit : 
> > Hi,
> > 
> > First of all, I wanted to suggest to drop the Conflicts and just keep the
> > Replaces. The Replaces is enough, the only problem is that the FDI file
> > will be lost if libimobiledevice2 is removed while some application
> > still use libimobiledevice1 (the other cases are correctly handled by dpkg
> > whatever the order of installation of the packages).
> Ok, It sounds reasonable. I'll try to update it this week-end, but feel
> free to NMU it if it's an emergency.

This WE should be fine, thanks.

> > > Those uploads will be needed anyway, as I think libimobiledevice2
> > > is/will not be API-compatible with libimobiledevice1. So, could be a
> > > moot point.
> > 
> > Julien (Lavergne), do you know if this is the case?
> For now, only new API was added, but as they declared the API not
> stable, we can't be sure what is going to change. To be safe, I prefer
> to assume that the API can change, that's why it should stay in
> experimental until 1.2.0 is released.

The stable release of "gvfs" depends on this new API apparently due
to this new feature:
https://bugzilla.gnome.org/show_bug.cgi?id=636132

Do you know when upstream plans to release 1.2.0?

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)




Information forwarded to debian-bugs-dist@lists.debian.org, gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>:
Bug#620065; Package libimobiledevice2. (Sun, 24 Apr 2011 20:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Lavergne <julien.lavergne@gmail.com>:
Extra info received and forwarded to list. Copy sent to gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>. (Sun, 24 Apr 2011 20:57:03 GMT) Full text and rfc822 format available.

Message #79 received at 620065@bugs.debian.org (full text, mbox):

From: Julien Lavergne <julien.lavergne@gmail.com>
To: Raphael Hertzog <hertzog@debian.org>
Cc: Julien BLACHE <jblache@debian.org>, "620065@bugs.debian.org" <620065@bugs.debian.org>
Subject: Re: Bug#620065: fixed in libimobiledevice 1.1.0-3
Date: Sun, 24 Apr 2011 22:54:09 +0200
Le 22 avr. 2011 à 08:07, Raphael Hertzog <hertzog@debian.org> a écrit :

> On Fri, 22 Apr 2011, Julien Lavergne wrote:
>> Le Monday 18 April 2011 à 21:27 +0200, Raphael Hertzog a écrit : 
>>> Hi,
>>> 
>>> First of all, I wanted to suggest to drop the Conflicts and just keep the
>>> Replaces. The Replaces is enough, the only problem is that the FDI file
>>> will be lost if libimobiledevice2 is removed while some application
>>> still use libimobiledevice1 (the other cases are correctly handled by dpkg
>>> whatever the order of installation of the packages).
>> Ok, It sounds reasonable. I'll try to update it this week-end, but feel
>> free to NMU it if it's an emergency.
> 
> This WE should be fine, thanks.
> 
>>>> Those uploads will be needed anyway, as I think libimobiledevice2
>>>> is/will not be API-compatible with libimobiledevice1. So, could be a
>>>> moot point.
>>> 
>>> Julien (Lavergne), do you know if this is the case?
>> For now, only new API was added, but as they declared the API not
>> stable, we can't be sure what is going to change. To be safe, I prefer
>> to assume that the API can change, that's why it should stay in
>> experimental until 1.2.0 is released.
> 
> The stable release of "gvfs" depends on this new API apparently due
> to this new feature:
> https://bugzilla.gnome.org/show_bug.cgi?id=636132
> 
> Do you know when upstream plans to release 1.2.0?

No release date, unfortunately.
The devs are working on it, but as there are not many, the policy is "When it's done". Last time I check, the progress was good, and not so far from the release.

Regards,
Julien Lavergne



Reply sent to Julien Lavergne <julien.lavergne@gmail.com>:
You have taken responsibility. (Sun, 01 May 2011 08:51:08 GMT) Full text and rfc822 format available.

Notification sent to Jeremy Lal <kapouer@melix.org>:
Bug acknowledged by developer. (Sun, 01 May 2011 08:51:09 GMT) Full text and rfc822 format available.

Message #84 received at 620065-close@bugs.debian.org (full text, mbox):

From: Julien Lavergne <julien.lavergne@gmail.com>
To: 620065-close@bugs.debian.org
Subject: Bug#620065: fixed in libimobiledevice 1.1.1-1
Date: Sun, 01 May 2011 08:48:49 +0000
Source: libimobiledevice
Source-Version: 1.1.1-1

We believe that the bug you reported is fixed in the latest version of
libimobiledevice, which is due to be installed in the Debian FTP archive:

libimobiledevice-dev_1.1.1-1_amd64.deb
  to main/libi/libimobiledevice/libimobiledevice-dev_1.1.1-1_amd64.deb
libimobiledevice-doc_1.1.1-1_all.deb
  to main/libi/libimobiledevice/libimobiledevice-doc_1.1.1-1_all.deb
libimobiledevice-utils_1.1.1-1_amd64.deb
  to main/libi/libimobiledevice/libimobiledevice-utils_1.1.1-1_amd64.deb
libimobiledevice2-dbg_1.1.1-1_amd64.deb
  to main/libi/libimobiledevice/libimobiledevice2-dbg_1.1.1-1_amd64.deb
libimobiledevice2_1.1.1-1_amd64.deb
  to main/libi/libimobiledevice/libimobiledevice2_1.1.1-1_amd64.deb
libimobiledevice_1.1.1-1.debian.tar.gz
  to main/libi/libimobiledevice/libimobiledevice_1.1.1-1.debian.tar.gz
libimobiledevice_1.1.1-1.dsc
  to main/libi/libimobiledevice/libimobiledevice_1.1.1-1.dsc
libimobiledevice_1.1.1.orig.tar.bz2
  to main/libi/libimobiledevice/libimobiledevice_1.1.1.orig.tar.bz2
python-imobiledevice_1.1.1-1_amd64.deb
  to main/libi/libimobiledevice/python-imobiledevice_1.1.1-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 620065@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Lavergne <julien.lavergne@gmail.com> (supplier of updated libimobiledevice package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 30 Apr 2011 13:28:43 +0200
Source: libimobiledevice
Binary: libimobiledevice2 libimobiledevice-dev libimobiledevice2-dbg python-imobiledevice libimobiledevice-utils libimobiledevice-doc
Architecture: source amd64 all
Version: 1.1.1-1
Distribution: experimental
Urgency: low
Maintainer: gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>
Changed-By: Julien Lavergne <julien.lavergne@gmail.com>
Description: 
 libimobiledevice-dev - Library for communicating with iPhone and iPod Touch devices
 libimobiledevice-doc - Library for communicating with iPhone and iPod Touch devices
 libimobiledevice-utils - Library for communicating with iPhone and iPod Touch devices
 libimobiledevice2 - Library for communicating with the iPhone and iPod Touch
 libimobiledevice2-dbg - Library for communicating with iPhone and iPod Touch devices
 python-imobiledevice - Library for communicating with iPhone and iPod Touch devices
Closes: 620065
Changes: 
 libimobiledevice (1.1.1-1) experimental; urgency=low
 .
   * New upstream release.
   * debian/changelog: Fix typo in previous entry.
   * debian/patches:
    - 90_fix_4.3_iOS.patch: Merged upstream.
   * debian/libimobiledevice-utils.manpages:
    - Add man page for idevicebackup2.
    - Add man page for idevicedate.
    - Add upstream man pages for ideviceenterrecovery and idevicepair.
   * debian/control:
    - Remove Conflitcs of libimobiledevice2 to make it installable with
      libimobiledevice1 (Closes: #620065).
    - Add Conflicts/Replaces also on libimobiledevice0-dbg (LP: #693895)
    - Remove python-support from Build-Depends.
    - Increase required python-all-dev package version to 2.6.6-3~.
    - Remove XB-Python-Version fields.
    - Add X-Python-Version field.
    - Bump Standards-Version to 3.9.2.0 (no change needed).
   * debian/copyright:
    - Update copyright years.
   * debian/libimobiledevice2.symbols:
    - Update with new symbols.
   * debian/rules:
    - Use --with python2.
    - Pass --no-guessing-versions to dh_python2 to build only with default
      python version.
   * debian/pycompat:
    - Removed.
Checksums-Sha1: 
 04d584a33a72c2ae1b3dcf59e5d1c17ab6d36b15 1748 libimobiledevice_1.1.1-1.dsc
 eb81cb8c66beb68987fbc4126e9ca84cd19199c9 459976 libimobiledevice_1.1.1.orig.tar.bz2
 6c93b7806b413ab6eec13ede84366ca99b82e0ba 8134 libimobiledevice_1.1.1-1.debian.tar.gz
 14056fb32ddfa0bf7d02fc0ae7fae2c1e7a96abd 58674 libimobiledevice2_1.1.1-1_amd64.deb
 1a63f804be22fa5a34fe3b7752e352e894108f8c 71910 libimobiledevice-dev_1.1.1-1_amd64.deb
 19b9311256b4bcdbdb798fc493f3d26dd6cc52d1 389384 libimobiledevice2-dbg_1.1.1-1_amd64.deb
 bac28c55cc12e6a32f445af7d3b60e252972e9a3 526550 python-imobiledevice_1.1.1-1_amd64.deb
 acd3f847267148f30afc883ef5077a1559930da8 61412 libimobiledevice-utils_1.1.1-1_amd64.deb
 af0f39a681bbd72051c168c990984d2fe7617995 94476 libimobiledevice-doc_1.1.1-1_all.deb
Checksums-Sha256: 
 500c17e780e9a32b38300e023ede3d03987987f25ec03fb6ce85d39134623d90 1748 libimobiledevice_1.1.1-1.dsc
 c544d7bf0e7d6a97f3c446b2fb4597f19aac7b184ea806e16cd6a7852fd25f67 459976 libimobiledevice_1.1.1.orig.tar.bz2
 36e04b0019afb18420a946ee16e59cd0e91a8c9c341294b709320d9f9c5b9beb 8134 libimobiledevice_1.1.1-1.debian.tar.gz
 3158ebbd9160088570a21b2d8b3e820ea1217d7bf0373211e922f5dd0b9fcbc3 58674 libimobiledevice2_1.1.1-1_amd64.deb
 56be3cb1e7294dedc366cf4abc5a07c4aa896bffd75e84ff45afbff6c0e463ef 71910 libimobiledevice-dev_1.1.1-1_amd64.deb
 6623b7d4260348e085550888426a59274f2e2b5e41eb40a8fed10a61201f1bf9 389384 libimobiledevice2-dbg_1.1.1-1_amd64.deb
 1e577510d17da2b69036a429c070e85d080bc312fb57c2b0ed7db401a53a6b3f 526550 python-imobiledevice_1.1.1-1_amd64.deb
 2853ae7e536cec045a8fc772cc746e455876fb6c4f9cdc8386cc465b663dd308 61412 libimobiledevice-utils_1.1.1-1_amd64.deb
 1f71e43366002b4eca5eb93dbf335073bd2e275776de6e58a0aeb5a2678d5e3f 94476 libimobiledevice-doc_1.1.1-1_all.deb
Files: 
 29e242f08d8309782e49b983c16e9e20 1748 libs optional libimobiledevice_1.1.1-1.dsc
 cdc13037e822d9ac2e109536701d153a 459976 libs optional libimobiledevice_1.1.1.orig.tar.bz2
 266b95d70e72a3a9039bcbcd2b292aad 8134 libs optional libimobiledevice_1.1.1-1.debian.tar.gz
 1e9216a11976f6d5cbb82a8a294aed81 58674 libs optional libimobiledevice2_1.1.1-1_amd64.deb
 92afcdb59fcf2973ec23e6d27cea603b 71910 libdevel optional libimobiledevice-dev_1.1.1-1_amd64.deb
 226ab1d033559db28b012e8525438b3b 389384 debug extra libimobiledevice2-dbg_1.1.1-1_amd64.deb
 07601debe7ae531134812fb1d13a2e51 526550 python optional python-imobiledevice_1.1.1-1_amd64.deb
 d57fbd75ed5414c1e6010469a82777b0 61412 utils optional libimobiledevice-utils_1.1.1-1_amd64.deb
 70074cb2711d9c66e5fd1783aca13a09 94476 doc optional libimobiledevice-doc_1.1.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFNvRyLzWFP1/XWUWkRAis8AJ9/wMbZcGJDOk0zevU/lmlanNCzawCfWuQh
GabcVYlrkLVLkxmUVYS98RY=
=g8y8
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>:
Bug#620065; Package libimobiledevice2. (Mon, 02 May 2011 11:03:32 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gary van der Merwe <garyvdm@gmail.com>:
Extra info received and forwarded to list. Copy sent to gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>. (Mon, 02 May 2011 11:03:32 GMT) Full text and rfc822 format available.

Message #89 received at 620065@bugs.debian.org (full text, mbox):

From: Gary van der Merwe <garyvdm@gmail.com>
To: 620065@bugs.debian.org
Subject: upower builds and works fine with libimobiledevice2
Date: Mon, 02 May 2011 12:56:41 +0200
[Message part 1 (text/plain, inline)]
Hi

I had only 1 package install that depended on libimobiledevice1: upower.
I was able to get it to build, install and run using libimobiledevice2
by just bumping the build-depends of libimobiledevice from 0.9.7 to
1.1.1. 

I tried to push my change in a git branch to alioth but was not able to
as I don't have access, so I've attached a patch. Should I submit this
to the upower maintainer, or wait till 1.2 is released?


Gary
[bump_libimobiledevice_build_dep.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>:
Bug#620065; Package libimobiledevice2. (Tue, 03 May 2011 06:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>. (Tue, 03 May 2011 06:18:03 GMT) Full text and rfc822 format available.

Message #94 received at 620065@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Julien Lavergne <julien.lavergne@gmail.com>
Cc: 620065@bugs.debian.org
Subject: Re: Bug#620065: fixed in libimobiledevice 1.1.0-3
Date: Tue, 3 May 2011 08:14:28 +0200
On Fri, 22 Apr 2011, Julien Lavergne wrote:
> Le Monday 18 April 2011 à 21:27 +0200, Raphael Hertzog a écrit : 
> > Hi,
> > 
> > First of all, I wanted to suggest to drop the Conflicts and just keep the
> > Replaces. The Replaces is enough, the only problem is that the FDI file
> > will be lost if libimobiledevice2 is removed while some application
> > still use libimobiledevice1 (the other cases are correctly handled by dpkg
> > whatever the order of installation of the packages).
> Ok, It sounds reasonable. I'll try to update it this week-end, but feel
> free to NMU it if it's an emergency.

It looks like this did not happen... can I help by sponsoring an update?

The plan is drop the Conflicts/Replaces in libimobiledevice1 and add a "Replaces:
libimobiledevice1" in libimobiledevice2.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)




Information forwarded to debian-bugs-dist@lists.debian.org, gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>:
Bug#620065; Package libimobiledevice2. (Tue, 03 May 2011 17:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Lavergne <julien.lavergne@gmail.com>:
Extra info received and forwarded to list. Copy sent to gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>. (Tue, 03 May 2011 17:39:03 GMT) Full text and rfc822 format available.

Message #99 received at 620065@bugs.debian.org (full text, mbox):

From: Julien Lavergne <julien.lavergne@gmail.com>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 620065@bugs.debian.org
Subject: Re: Bug#620065: fixed in libimobiledevice 1.1.0-3
Date: Tue, 03 May 2011 19:34:49 +0200
Le Tuesday 03 May 2011 à 08:14 +0200, Raphael Hertzog a écrit :
> 
> It looks like this did not happen... can I help by sponsoring an
> update?
> 
> The plan is drop the Conflicts/Replaces in libimobiledevice1 and add a
> "Replaces:
> libimobiledevice1" in libimobiledevice2. 

The changes was made for libimobiledevice2, I need to do the change for
libimobiledevice1 (but should happen shortly).

Btw, I understood that I need to keep the Replaces: libimobiledevice2 in
libimobiledevice2, right ? Because without it, there will be a error
when the upgrade will happen ?

In the end, it should be :
libimobiledevice1
Replaces: libimobiledevice2

libimobiledevice2
Replaces: libimobiledevice1

Let me know if I miss something.

Regards,
Julien Lavergne





Information forwarded to debian-bugs-dist@lists.debian.org, gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>:
Bug#620065; Package libimobiledevice2. (Wed, 04 May 2011 06:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>. (Wed, 04 May 2011 06:03:03 GMT) Full text and rfc822 format available.

Message #104 received at 620065@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Julien Lavergne <julien.lavergne@gmail.com>
Cc: 620065@bugs.debian.org
Subject: Re: Bug#620065: fixed in libimobiledevice 1.1.0-3
Date: Wed, 4 May 2011 07:58:14 +0200
On Tue, 03 May 2011, Julien Lavergne wrote:
> Btw, I understood that I need to keep the Replaces: libimobiledevice2 in
> libimobiledevice2, right ? Because without it, there will be a error
> when the upgrade will happen ?

Hum, typo I guess. You need "Replaces: libimobiledevice1" in
libimobiledevice2.

> In the end, it should be :
> libimobiledevice1
> Replaces: libimobiledevice2
> 
> libimobiledevice2
> Replaces: libimobiledevice1
> 
> Let me know if I miss something.

In fact only the second one is really needed. dpkg deals correctly with
upgrade of libimobiledevice1.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)




Information forwarded to debian-bugs-dist@lists.debian.org, gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>:
Bug#620065; Package libimobiledevice2. (Wed, 04 May 2011 11:52:38 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Lavergne <julien.lavergne@gmail.com>:
Extra info received and forwarded to list. Copy sent to gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>. (Wed, 04 May 2011 11:52:42 GMT) Full text and rfc822 format available.

Message #109 received at 620065@bugs.debian.org (full text, mbox):

From: Julien Lavergne <julien.lavergne@gmail.com>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 620065@bugs.debian.org
Subject: Re: Bug#620065: fixed in libimobiledevice 1.1.0-3
Date: Wed, 04 May 2011 13:11:02 +0200
Le Wednesday 04 May 2011 à 07:58 +0200, Raphael Hertzog a écrit :
> In fact only the second one is really needed. dpkg deals correctly
> with
> upgrade of libimobiledevice1. 

Ok, thank you for the clarification :) The update is in progress.

Regards,
Julien Lavergne





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 02 Jun 2011 07:34:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:29:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.